### Function

# Xdp Portal running_under_snap

#### Declaration [src]

    gboolean
    xdp_portal_running_under_snap (
      void
      GError** error
    )

#### Description [src]

Detects if you are running inside of a Snap sandbox.

See also: `xdp_portal_running_under_sandbox()`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the current process is running under a Snap sandbox, or `FALSE` if either unsandboxed or an error was encountered in which case `error` will be set.